<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.usermodel.CharacterRun (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.usermodel.CharacterRun (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/CharacterRun.html"
               target="_top">Frames</a></li>
        <li><a href="CharacterRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.usermodel.CharacterRun" class="title">Uses of Class<br>org.apache.poi.hwpf.usermodel.CharacterRun
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlUtils.html#addCharactersProperties-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.StringBuilder-">addCharactersProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.StringBuilder&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/converter/FontReplacer.Triplet.html"
                                    title="class in org.apache.poi.hwpf.converter">FontReplacer.Triplet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getCharacterRunTriplet-org.apache.poi.hwpf.usermodel.CharacterRun-">getCharacterRunTriplet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">outputCharacters</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String&nbsp;text)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">outputCharacters</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String&nbsp;text)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">outputCharacters</a></span>(org.w3c.dom.Element&nbsp;pElement,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String&nbsp;text)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">outputCharacters</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String&nbsp;text)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDropDownList-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String:A-int-">processDropDownList</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String[]&nbsp;values,
                                int&nbsp;defaultIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processDropDownList-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String:A-int-">processDropDownList</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String[]&nbsp;values,
                                int&nbsp;defaultIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">processLineBreak</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">processLineBreak</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">processLineBreak</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">processLineBreak</a></span>(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processNoteAnchor-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processNoteAnchor</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processSymbol-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processSymbol</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoUtils.html#setCharactersProperties-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">setCharactersProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;inline)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoUtils.html#setLanguage-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">setLanguage</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;inline)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Picture</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PicturesTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PicturesTable.html#extractPicture-org.apache.poi.hwpf.usermodel.CharacterRun-boolean-">extractPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;run,
                                boolean&nbsp;fillBytes)</code>
                                <div class="block">Returns picture object tied to specified CharacterRun</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">PicturesTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PicturesTable.html#hasEscherPicture-org.apache.poi.hwpf.usermodel.CharacterRun-">hasEscherPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;run)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">PicturesTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PicturesTable.html#hasHorizontalLine-org.apache.poi.hwpf.usermodel.CharacterRun-">hasHorizontalLine</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;run)</code>
                                <div class="block">determines whether specified CharacterRun contains reference to a
                                    picture
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">PicturesTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PicturesTable.html#hasPicture-org.apache.poi.hwpf.usermodel.CharacterRun-">hasPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;run)</code>
                                <div class="block">determines whether specified CharacterRun contains reference to a
                                    picture
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Range.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html#getCharacterRun-int-">getCharacterRun</a></span>(int&nbsp;index)</code>
                                <div class="block">Gets the character run at index.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkEndCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkEndCharacterRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkSeparatorCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkSeparatorCharacterRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Field.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkStartCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkStartCharacterRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Range.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertAfter-java.lang.String-">insertAfter</a></span>(java.lang.String&nbsp;text)</code>
                                <div class="block">Inserts text onto the end of this range</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Range.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertBefore-java.lang.String-">insertBefore</a></span>(java.lang.String&nbsp;text)</code>
                                <div class="block">Inserts text into the front of this range.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Picture</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PictureRunMapper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#getFor-org.apache.poi.hwpf.usermodel.CharacterRun-">getFor</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;cr)</code>
                                <div class="block">Get the Picture for this run, if any</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">PictureRunMapper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#hasPicture-org.apache.poi.hwpf.usermodel.CharacterRun-">hasPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;cr)</code>
                                <div class="block">Does this run have a Picture in it?</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/CharacterRun.html"
               target="_top">Frames</a></li>
        <li><a href="CharacterRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
